# CUpti_ActivityBranch Struct Reference

The activity record for source level result branch. (deprecated). More...

## Data Fields
uint32_t | correlationId
uint32_t | diverged
uint32_t | executed
CUpti_ActivityKind | kind
uint32_t | pcOffset
uint32_t | sourceLocatorId
uint64_t | threadsExecuted

## Detailed Description

This activity record the locations of the branches in the source (CUPTI_ACTIVITY_KIND_BRANCH). Branch activities are now reported using the CUpti_ActivityBranch2 activity record.

## Field Documentation

uint32_t CUpti_ActivityBranch::correlationId

The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityBranch::diverged

Number of times this branch diverged

uint32_t CUpti_ActivityBranch::executed

The number of times this instruction was executed per warp. It will be incremented regardless of predicate or condition code.

CUpti_ActivityKind CUpti_ActivityBranch::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_BRANCH.

uint32_t CUpti_ActivityBranch::pcOffset

The pc offset for the branch.

uint32_t CUpti_ActivityBranch::sourceLocatorId

The ID for source locator.

uint64_t CUpti_ActivityBranch::threadsExecuted

This increments each time when this instruction is executed by number of threads that executed this instruction